// ---------------------------------------------------------------
// module  : frm_api.h
// purpose : conveninence, this header includes and reference ALL 
//           Framework API child component headers:
//             frm_mem_obj.h
//             frm_log_msg.h
//             frm_str_fx.h
//             frm_tivf_api.h
//             frm_hdf_io.h

// dependencies : env vars FRM_API_INC and FRM_API_LIB must now be defined
// revised : v1.9.2-2017-05-18t17:54:00, added optional frm_ntsg_const.h
// revised : v1.9.1-2016-02-15T14:29:00
// revised : v1.8.9-2015-10-15T14:13:00
// revised : v1.8.9-2015-09-24T12:46:00
// revised : v1.5.7-2014-02-21T22:17:00
// revised : 2014-01-28T16:44:00,jmg added frm_core.h, frm_util_fx.h and frm_io_fx.h
// history : 2014-01-23T10:59:00,jmg, coded frm_util_fx.[ch]
// history : 2014-01-23T10:59:00,jmg, original
// author  : joe glassy, Lupine Logic Inc.
// notes   : TBD
// ---------------------------------------------------------------

#ifndef FRM_API_DEF

#define FRM_API_DEF    1

#include "frm_core.h"
// <JMG> 2017-05-18 added for independent API testing
#include "frm_ntsg_const.h"

#include "frm_mem_obj.h"
#include "frm_log_msg.h"
#include "frm_tiv_api.h"
#include "frm_str_fx.h"
#include "frm_io_fx.h"
// re-checked 2014-02-21 and 2017-05-18
#include "frm_util_fx.h" 
#include "frm_hdf_io.h" 

#endif
